commit: b8e614ad813618bd012bd294d57dcd2f6aa9e0bc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 13 07:22:33 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 13 08:07:41 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8e614ad
dev-python/orjson: Bump to 3.11.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/orjson/Manifest | 1 +
dev-python/orjson/orjson-3.11.2.ebuild | 45 ++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/orjson/Manifest b/dev-python/orjson/Manifest
index 647be8baabf6..e0eae86c2ee1 100644
--- a/dev-python/orjson/Manifest
+++ b/dev-python/orjson/Manifest
@@ -1,3 +1,4 @@
DIST orjson-3.10.18.tar.gz 5422810 BLAKE2B
9f451a01fc7d668c0dabc1176079de82b6e49573710bc1050496bc8148c0bea4305178aef2a415952ae533df18ab048a84def3ef54064a141aa8f5eb0c8733cb
SHA512
248a42f671e713bf9d11163fe7744f5d9b626f5db681913071957723f48d77cc35aa883eb695a16df76986ecc8d9e9e493cee4431c47103beabc3517ffcaa65f
DIST orjson-3.11.0.tar.gz 5318246 BLAKE2B
632c9b03d474c81b48b9bc7912a17efb07b70c945858bed1851deb8bf2258c12a739c84c21ba752e9d4a5761e9352c606b6aee121673516f3b4247f27fe2df3d
SHA512
be823592bc5fb28b1d5e90c412c9ec32b5953db27e5dcc088e43e2369dad28586603d0a3e450f72b5761a819bcd68a1305dac60219e5719b24e0a410c6e22af2
DIST orjson-3.11.1.tar.gz 5393373 BLAKE2B
286df1ff17ab6c7420d849364958c1a059a475b33d518abb3d54bbabee85c9ac2230c1611f150f91c22bef42d9db821255e11a3ff13f551237c82ea8c78b804d
SHA512
762f8185639ff7b533ad1cd54a1fe1cea71f4afdce7572dd35172a894e5f98ba0d8145e14b2c55634e7ea20b209ef5a5d537365d805278062eda668087b56147
+DIST orjson-3.11.2.tar.gz 5470739 BLAKE2B
60daf82b279cb461e550f24c1f02da273048e469456ea74fce07e0a7d872324e5cd7bfd338a399509b2b79befd94144423cca36de4f10983cdd20d26faf6677a
SHA512
bcf2bfcfecbb72e0d83dfac9d5d1153c03feeb2ae256b8913621ea4224b76ac73652f787e3e293bf61e2d5bb66fb6178e4604498fa436655877ba06ef49d3083
diff --git a/dev-python/orjson/orjson-3.11.2.ebuild
b/dev-python/orjson/orjson-3.11.2.ebuild
new file mode 100644
index 000000000000..66bdc74da7f4
--- /dev/null
+++ b/dev-python/orjson/orjson-3.11.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{11..14} )
+
+# upstream is vendoring crates
+CRATES="
+"
+
+RUST_MIN_VER="1.88.0"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Fast, correct Python JSON library supporting dataclasses,
datetimes, and numpy"
+HOMEPAGE="
+ https://github.com/ijl/orjson/
+ https://pypi.org/project/orjson/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions BSD Boost-1.0 MIT Unicode-3.0
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ >=dev-util/maturin-1.7.8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+QA_FLAGS_IGNORED=".*"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest